name: celaya_limpia
description: "Sistema Integral de Recoleccion de Residuos - H. Ayuntamiento de Celaya"
publish_to: 'none'
version: 2.0.0+1

environment:
  sdk: ^3.4.0

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8

  # Base de datos
  sqflite: ^2.3.3+1
  path: ^1.9.0

  # Estado y sesion
  shared_preferences: ^2.3.2
  provider: ^6.1.2

  # Mapas OpenStreetMap
  flutter_map: ^6.1.0
  latlong2: ^0.9.1

  # Graficas (dashboard)
  fl_chart: ^0.68.0

  # PDF
  pdf: ^3.11.0
  path_provider: ^2.1.4

  # Camara e IA
  camera: ^0.10.6
  tflite_flutter: ^0.12.1
  image: ^4.1.3
  image_picker: ^1.1.2

  # Compartir
  share_plus: ^9.0.0

  # Utilidades
  intl: ^0.19.0
  http: ^1.2.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/models/
    - assets/onboarding/
